import {postAction,getAotion,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 获取对账单清单
let getList = (params) => postAction(prefix + "/bill/list" , params);

// 删除
let deleteBill = (params) => postAction(prefix + "/bill/deleteBill" , params);

// 下载上传模板
let downloadTemplate = (params) => downFilePost(prefix + "/bill/downloadTemplate" , params);

// 获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/school/schoolManagement/substList" , params);

// 获取学校下拉列表
let getSchoolList = (params) => postAction(prefix + "/school/schoolManagement/schoolList" , params);

// 导出对账单
let exportList = (params) => downFilePost(prefix + "/bill/exportList" , params);

// 获取账单汇总数据
let getStatisList = (params) => postAction(prefix + "/bill/statisList" , params);

// 导出账单汇总
let exportStatisList = (params) => downFilePost(prefix + "/bill/exportStatisList" , params);

// 获取账单汇总（总经理）数据
let getStatisManagerList = (params) => postAction(prefix + "/bill/statisManagerList" , params);

// 导出账单汇总（总经理）数据
let exportStatisManagerList = (params) => downFilePost(prefix + "/bill/exportStatisManagerList" , params);

// // 获取账单汇总（县分）数据
// let getStatisSubstList = (params) => postAction(prefix + "/bill/statisSubstList" , params);
//
// // 导出账单汇总（县分）数据
// let exportStatisSubstList = (params) => downFilePost(prefix + "/bill/exportStatisSubstList" , params);

// // 获取账单汇总（学校）数据
// let getStatisSchoolList = (params) => postAction(prefix + "/bill/statisSchoolList" , params);
//
// // 导出账单汇总（学校）数据
// let exportStatisSchoolList = (params) => downFilePost(prefix + "/bill/exportStatisSchoolList" , params);


export {
    getList,deleteBill,downloadTemplate,exportList,getSubstList,getSchoolList,
    getStatisList,exportStatisList,getStatisManagerList,exportStatisManagerList,
    // getStatisSubstList,exportStatisSubstList,getStatisSchoolList,exportStatisSchoolList
}
